<?php
if (!defined("root")) {
	define("root", $_SERVER['DOCUMENT_ROOT']);
}
require(root."/___simple_config.php");
session_start();
require(root."/".adminFolder."/_common.php");
require(root."/".adminFolder."/_lib/db.php");
require(root."/".adminFolder."/_lib/main.php");
require(root."/".adminFolder."/_lib/auth.php");
require(root."/".adminFolder."/_lib/bootstraps.php");
$pageSubOf = "pages";
$pageName = "bank-accounts";
$pageTitle = "Bank Accounts";
$thisUrl = "bank-accounts";
$ajax_page = "ajax_bank-accounts.php";
$pageUrl = "/".adminFolder."/$thisUrl";
$a = cekpost(cleanQuery($_GET["a"]), "");
$err = "";
if ($a=="section_main") {
	if (!authorizedModule("bank_accounts_main", $ses_kduser)) {
		unAuthorizedAccess("bank_accounts_main");
	} else {
		$fil_kdbank = trim(cekpost(cleanQuery($_REQUEST["fil_kdbank"]), ""));
		$fil_norek = trim(cekpost(cleanQuery($_REQUEST["fil_norek"]), ""));
		$fil_namarek = trim(cekpost(cleanQuery($_REQUEST["fil_namarek"]), ""));
		$fil_isactive = trim(cekpost(cleanQuery($_REQUEST["fil_isactive"]), ""));
		$swhere = '';
		if ($fil_kdbank!="") { $swhere .= " AND a.kdbank = '$fil_kdbank' "; }
		if ($fil_norek!="") { $swhere .= " AND a.norek LIKE '%$fil_norek%' "; }
		if ($fil_namarek!="") { $swhere .= " AND a.namarek LIKE '%$fil_namarek%' "; }
		if ($fil_isactive!="") { $swhere .= " AND a.isactive = '$fil_isactive' "; }
		
		$rs=array(); $q="SELECT a.*, namabank, inisial FROM bank_accs a LEFT JOIN banks b ON b.kdbank=a.kdbank WHERE 1=1 $swhere";
		callRS($rs, $q);
		if (count($rs)!=0) {
			$ld = 20;
			$cp = cekpost(cleanQuery($_GET["cp"]), "1");
			$tp = intval(count($rs) / $ld) + (count($rs)%$ld==0?0:1);
			$sr = ($cp-1) * $ld;
			$pagination = '';
			if ($tp!=1) {
				$pagination .= ('<ul class="pagination pagination-sm">');
					$disabled = '';
					$purl = '#';
					$onclick = '';
					if ($cp<=1) {
						$disabled = 'disabled';
						$onclick = ' onclick="return false;" ';
					}
					$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', 1);return false;"').'>&lt;&lt;</a></li>');
					$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp-1).');return false;"').'>&lt;</a></li>');
					for ($c=1;$c<=$tp;$c++) {
						$active = '';
						$purl = '#';
						$disabled = '';
						$onclick = '';
						if ($c==$cp) {
							$active = 'active';
						} else {
							$purl = '#';
							$onclick = ' onclick="filterReload(\''.$pageName.'\', '.$c.');return false;" ';
						}
						$pagination .= ('<li class="'.$active.' '.$disabled.'"><a href="'.$purl.'" '.$onclick.'>'.$c.'</a></li>');
					}
					$disabled = '';
					$onclick = '';
					if ($cp>=$tp) {
						$disabled = 'disabled';
						$onclick = ' onclick="return false;" ';
					}
					$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp+1).');return false;"').'>&gt;</a></li>');
					$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.$tp.');return false;"').'>&gt;&gt;</a></li>');
				$pagination .= ('</ul>');
			}
			cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
			
			if ($tp!=1) {
				cout($pagination);
			}
			cout('<table class="table table-striped table-bordered">');
				cout('<thead>');
					cout('<tr>');
						cout('<th class="text-center">#ID</th>');
						if (authorizedModule("bank_accounts_element_banks", $ses_kduser)) {
							cout('<th class="text-center">Bank</th>');
						}
						if (authorizedModule("bank_accounts_element_bank_account_number", $ses_kduser)) {
							cout('<th class="text-center">Account Number</th>');
						}
						if (authorizedModule("bank_accounts_element_bank_account_holder", $ses_kduser)) {
							cout('<th class="text-center">Account Holder</th>');
						}
						if (authorizedModule("bank_accounts_element_active", $ses_kduser)) {
							cout('<th class="text-center">Active Status</th>');
						}
						cout('<th class=""></th>');
					cout('</tr>');
				cout('</thead>');
				cout('<tbody>');
				$cnt = 0;
				for ($i=$sr;$i<count($rs) && $cnt<$ld;$i++) {
					$cnt++;
					$kdbank_acc = $rs[$i]["kdbank_acc"];
					if (intval($rs[$i]["isactive"])==0) {
						$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kdbank_acc.', '.$rs[$i]["isactive"].');return false;">Non-Active</a>';
					} else {
						$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kdbank_acc.', '.$rs[$i]["isactive"].');return false;">Active</a>';
					}
					cout('<tr>');
						cout('<td class="text-center">'.$kdbank_acc.'</td>');
						if (authorizedModule("bank_accounts_element_banks", $ses_kduser)) {
							cout('<td class="text-center">'.$rs[$i]["inisial"].'</td>');
						}
						if (authorizedModule("bank_accounts_element_bank_account_number", $ses_kduser)) {
							cout('<td class="text-center"><a href="'.$pageUrl.'/view/'.$kdbank_acc.'/">'.$rs[$i]["norek"].'</a></td>');
						}
						if (authorizedModule("bank_accounts_element_bank_account_holder", $ses_kduser)) {
							cout('<td class="text-center">'.$rs[$i]["namarek"].'</td>');
						}
						if (authorizedModule("bank_accounts_element_active", $ses_kduser)) {
							cout('<td class="text-center isactive'.$kdbank_acc.'">'.$isactive.'</td>');
						}
						cout('<td class="text-center">');
							if (authorizedModule("bank_accounts_edit", $ses_kduser)) {
								cout('<a href="'.$pageUrl.'/edit/'.$kdbank_acc.'/"><span class="glyphicon glyphicon-pencil"></span><span class="hidden-xs hidden-sm"> Edit</span></a>');
								cout(BSTextSeparator());
							}
							if (authorizedModule("bank_accounts_delete", $ses_kduser)) {
								cout('<a href="'.$pageUrl.'/delete/'.$kdbank_acc.'/"><span class="glyphicon glyphicon-trash"></span><span class="hidden-xs hidden-sm"> Delete</span></a>');
							}
						cout('</td>');
					cout('</tr>');
				}
				cout('</tbody>');
			cout('</table>');
			
			if ($tp!=1) {
				cout($pagination);
			}
			cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
			$act_ket = "Bank Accounts: Main List";
			if ($swhere!="") { $act_ket .= ": ".cleanQuery($swhere).""; }
			updateUserActivities($act_ket);
		} else {
			cout('<div class="alert alert-info" role="alert">');
				cout('<strong>No data available.</strong> Please add new data for display.');
			cout('</div>');
		}
	}
}
if ($a=="chactive") {
	$kd = cekpost(cleanQuery($_REQUEST["kd"]), "");
	$ca = cekpost(cleanQuery($_REQUEST["ca"]), "");
	$kd = (trim($kd)=="undefined")?'':$kd;
	$ca = (trim($ca)=="undefined")?'':$ca;
	if ($kd!="" && $kd!=0 && $ca!="") {
		$na = $ca==0?1:0;
		$modby = $_SESSION["user"]["inisial"];
		$modtime = time();
		$qu = "UPDATE bank_accs SET isactive='$na', modby='$modby', modtime='$modtime' WHERE kdbank_acc='$kd'";
		execRS($qu);
		$act_ket = "Bank Accounts: Ch. Active [kd: $kd][from Act: $ca][to Act: $na]";
		updateUserActivities($act_ket);
		if (intval($na)==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Active</a>';
		}
		echo $isactive;
	}
}

if ($a=="section_view") {
	if (!authorizedModule("bank_accounts_view", $ses_kduser)) {
		unAuthorizedAccess("bank_accounts_view");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT a.*, namabank, inisial FROM bank_accs a LEFT JOIN banks b ON b.kdbank=a.kdbank WHERE kdbank_acc='$id'";
		callRS($rs, $q);
		if (intval($rs[0]["isactive"])==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdbank_acc"].', '.$rs[0]["isactive"].');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdbank_acc"].', '.$rs[0]["isactive"].');return false;">Active</a>';
		}
		$creby = (trim($rs[0]["creby"])!=""?'By: <strong>'.$rs[0]["creby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["cretime"])?' ('.date('d M Y, H:i:s A', $rs[0]["cretime"]).')':' &lt;<em>no data</em>&gt;');
		$modby = (trim($rs[0]["modby"])!=""?'By: <strong>'.$rs[0]["modby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["modtime"])?' ('.date('d M Y, H:i:s A', $rs[0]["modtime"]).')':' &lt;<em>no data</em>&gt;');
		cout('<dl class="dl-horizontal dldata">');
			if (authorizedModule("bank_accounts_element_banks", $ses_kduser)) {
				cout('<dt>Bank Name</dt>');
				cout('<dd>['.$rs[0]["inisial"].'] '.$rs[0]["namabank"].'</dd>');
			}
			if (authorizedModule("bank_accounts_element_bank_account_number", $ses_kduser)) {
				cout('<dt>Account Number</dt>');
				cout('<dd>'.$rs[0]["norek"].'</dd>');
			}
			if (authorizedModule("bank_accounts_element_bank_account_holder", $ses_kduser)) {
				cout('<dt>Account Holder</dt>');
				cout('<dd>'.$rs[0]["namarek"].'</dd>');
			}
			if (authorizedModule("bank_accounts_element_active", $ses_kduser)) {
				cout('<dt>Active Status</dt>');
				cout('<dd class="isactive'.$rs[0]["kdbank_acc"].'">'.$isactive.'</dd>');
			}
			if (authorizedModule("bank_accounts_element_creation", $ses_kduser)) {
				cout('<dt>Created</dt>');
				cout('<dd>'.$creby.'</dd>');
			}
			if (authorizedModule("bank_accounts_element_modification", $ses_kduser)) {
				cout('<dt>Modified</dt>');
				cout('<dd>'.$modby.'</dd>');
			}
			
		cout('</dl>');
		
		$act_ket = "Bank Accounts: View: [kdbank_acc: ".$rs[0]["kdbank_acc"]."][namabank: ".$rs[0]["namabank"]."][inisial: ".$rs[0]["inisial"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_delete") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	if ($kirim=="1") {
		$delby = $_SESSION["user"]["inisial"];
		$deltime = time();
		$kdbank_acc = cekpost(cleanQuery($_POST["kdbank_acc"]), "0");
		$rs=array(); $q="SELECT * FROM bank_accs WHERE kdbank_acc='$kdbank_acc'";
		callRS($rs, $q);
		
		$q = "DELETE FROM bank_accs WHERE kdbank_acc='$kdbank_acc'";
		execRS($q);
		$act_ket = "Bank Accounts: Delete: Deleted [kdbank_acc: $kdbank_acc][namabank: ".$rs[0]["namabank"]."][inisial: ".$rs[0]["inisial"]."][isactive: ".$rs[0]["isactive"]."]";
		updateUserActivities($act_ket);
		cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/";</script>');
		exit;
	}
}
if ($a=="section_delete") {
	if (!authorizedModule("bank_accounts_delete", $ses_kduser)) {
		unAuthorizedAccess("bank_accounts_delete");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT a.*, namabank, inisial FROM bank_accs a LEFT JOIN banks b ON b.kdbank=a.kdbank WHERE kdbank_acc='$id'";
		callRS($rs, $q);
		
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_delete" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<input type="hidden" name="kdbank_acc" id="kdbank_acc" value="'.$rs[0]["kdbank_acc"].'" />');
			cout('<dl class="dl-horizontal dldata">');
				if (authorizedModule("bank_accounts_element_banks", $ses_kduser)) {
					cout('<dt>Bank Name</dt>');
					cout('<dd>['.$rs[0]["inisial"].'] '.$rs[0]["namabank"].'</dd>');
				}
				if (authorizedModule("bank_accounts_element_bank_account_number", $ses_kduser)) {
					cout('<dt>Account Number</dt>');
					cout('<dd>'.$rs[0]["norek"].'</dd>');
				}
				if (authorizedModule("bank_accounts_element_bank_account_holder", $ses_kduser)) {
					cout('<dt>Account Holder</dt>');
					cout('<dd>'.$rs[0]["namarek"].'</dd>');
				}
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Delete</button></dd>');
			cout('</dl>');
		cout('</form>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Bank Accounts: Deleting... [kd: ".$rs[0]["kd"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_edit") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$kdbank_acc = cekpost(cleanQuery($_REQUEST["kdbank_acc"]), "0");
		$kdbank = cekpost(cleanQuery($_REQUEST["kdbank"]), "0");
		$norek = cekpost(cleanQuery($_REQUEST["norek"]), "");
		$namarek = cekpost(cleanQuery($_REQUEST["namarek"]), "");
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($kdbank=="") { $err.= BSErrorMessage('Bank must be chosen'); }
		if ($norek=="") { $err.= BSErrorMessage('Account Number must be filled'); }
		if ($namarek=="") { $err.= BSErrorMessage('Account Holder must be filled'); }
		if ($err=="") {
			$modby = $_SESSION["user"]["inisial"];
			$modtime = time();
			$q = "UPDATE bank_accs SET kdbank='$kdbank', norek='$norek', namarek='$namarek', isactive='$isactive', modby='$modby', modtime='$modtime' 
				WHERE kdbank_acc='$kdbank_acc'";
			execRS($q);
			$act_ket = "Bank Accounts: Edit: Updated [kdbank_acc: $kdbank_acc][kdbank: $kdbank][norek: $norek][namarek: $namarek][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdbank_acc.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_edit") {
	if (!authorizedModule("bank_accounts_edit", $ses_kduser)) {
		unAuthorizedAccess("bank_accounts_edit");
	} else {
		$id = cekpost(cleanQuery($_GET["id"]), "0");
		$rs=array(); $q="SELECT * FROM bank_accs WHERE kdbank_acc='$id'";
		callRS($rs, $q);
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_edit" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<input type="hidden" name="kdbank_acc" id="kdbank_acc" value="'.$rs[0]["kdbank_acc"].'" />');
			cout('<dl class="dl-horizontal dldata">');
				if (authorizedModule("bank_accounts_element_banks", $ses_kduser)) {
					cout('<dt><label for="kdbank">Bank</label></dt>');
					cout('<dd>');
						cout('<select name="kdbank" id="kdbank" class="form-control">');
							cout('<option value="">- Choose Market -</option>');
							$rsx=array();$qx="SELECT * FROM banks";
							callRS($rsx, $qx);
							for ($x=0;$x<count($rsx);$x++) {
								$sel = intval($rsx[$x]["kdbank"])==intval($rs[0]["kdbank"])?' selected="selected" ':'';
								cout('<option value="'.$rsx[$x]["kdbank"].'" '.$sel.'>'.$rsx[$x]["namabank"].'</option>');
							}
						cout('</select>');
					cout('</dd>');
				}
				if (authorizedModule("bank_accounts_element_bank_account_number", $ses_kduser)) {
					cout('<dt><label for="norek">Account Number</label></dt>');
					cout('<dd><input class="form-control" type="text" name="norek" id="norek" value="'.$rs[0]["norek"].'" /></dd>');
				}
				if (authorizedModule("bank_accounts_element_bank_account_holder", $ses_kduser)) {
					cout('<dt><label for="namarek">Account Holder</label></dt>');
					cout('<dd><input class="form-control" type="text" name="namarek" id="namarek" value="'.$rs[0]["namarek"].'" /></dd>');
				}
				if (authorizedModule("bank_accounts_element_active", $ses_kduser)) {
					$isactive0 = intval($rs[0]["isactive"])==0?'selected="selected"':'';
					$isactive1 = intval($rs[0]["isactive"])==1?'selected="selected"':'';
					cout('<dt><label for="isactive">Active Status</label></dt>');
					cout('<dd>
						<select name="isactive" id="isactive" class="form-control">
							<option value="0" '.$isactive0.'>Non-Active</option>
							<option value="1" '.$isactive1.'>Active</option>
						</select>
					</dd>');
				}
				cout('<dt></dt>');
				cout('<dd class="err"></dd>');
				
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Update</button></dd>');
			cout('</dl>');
		cout('</form>');
		cout('<script>parent.bindDatePicker(\'.tanggal\');</script>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Bank Accounts: Editing... [kd: ".$rs[0]["kd"]."][nama: ".$rs[0]["nama"]."]";
		updateUserActivities($act_ket);
		exit;
	}
}
if ($a=="do_add") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$kdbank = cekpost(cleanQuery($_REQUEST["kdbank"]), "");
		$norek = cekpost(cleanQuery($_REQUEST["norek"]), "");
		$namarek = cekpost(cleanQuery($_REQUEST["namarek"]), "");
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($kdbank=="") { $err.= BSErrorMessage('Bank must be chosen'); }
		if ($norek=="") { $err.= BSErrorMessage('Account Number must be filled'); }
		if ($namarek=="") { $err.= BSErrorMessage('Account Holder must be filled'); }
		if ($err=="") {
			$creby = $_SESSION["user"]["inisial"];
			$cretime = time();
			$kdbank_acc = getID("bank_accs", "kdbank_acc");
			$q = "INSERT INTO bank_accs (kdbank_acc, kdbank, norek, namarek, isactive, creby, cretime) 
				VALUES ('$kdbank_acc', '$kdbank', '$norek', '$namarek', '$isactive', '$creby', '$cretime')";
			execRS($q);
			$act_ket = "Bank Accounts: Add [kd: $kd][kdbank: $kdbank][norek: $norek][namarek: $namarek][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdbank_acc.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_add") {
	if (!authorizedModule("bank_accounts_add", $ses_kduser)) {
		unAuthorizedAccess("bank_accounts_add");
	} else {
		cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_add" role="form">');
			cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
			cout('<dl class="dl-horizontal dldata">');
				cout('<dt><label for="kdbank">Bank</label></dt>');
				cout('<dd>');
					cout('<select name="kdbank" id="kdbank" class="form-control">');
						cout('<option value="">- Choose Bank -</option>');
						$rsx=array();$qx="SELECT * FROM banks";
						callRS($rsx, $qx);
						for ($x=0;$x<count($rsx);$x++) {
							cout('<option value="'.$rsx[$x]["kdbank"].'">'.$rsx[$x]["inisial"].'</option>');
						}
					cout('</select>');
				cout('</dd>');
				
				cout('<dt><label for="norek">Account Number</label></dt>');
				cout('<dd><input class="form-control" type="text" name="norek" id="norek" placeholder="Fill Account Number" /></dd>');
				
				cout('<dt><label for="namarek">Account Holder</label></dt>');
				cout('<dd><input class="form-control" type="text" name="namarek" id="namarek" placeholder="Fill Account Holder Name" /></dd>');
				
				cout('<dt><label for="isactive">Active Status</label></dt>');
				cout('<dd>
					<select name="isactive" id="isactive" class="form-control">
						<option value="0">Non-Active</option>
						<option value="1">Active</option>
					</select>
				</dd>');
				
				cout('<dt></dt>');
				cout('<dd class="err"></dd>');
				
				cout('<dt></dt>');
				cout('<dd><button class="btn btn-primary" type="submit">Add</button></dd>');
			cout('</dl>');
		cout('</form>');
		cout('<script>parent.bindDatePicker(\'.tanggal\');</script>');
		$viewFrame = 0;
		if ($viewFrame==1) {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
		} else {
			cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
		}
		$act_ket = "Bank Accounts: Adding...";
		updateUserActivities($act_ket);
		exit;
	}
}
?>